package com.nisum;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CalculatorTest {
    Calculator calculator;
    @Before
    public void setUp() throws Exception{
        calculator = new Calculator();
    }

    @After
    public  void  tearDown()throws Exception{
        calculator=null;
    }

    @Test
    public void testSum(){
        Assert.assertEquals(100,calculator.sum(10,20,30,40));
    }

    @Test
    public void testSquare(){
        Assert.assertEquals(625,calculator.square(25));
    }

    @Test
    public void testPower(){
        Assert.assertEquals(100,calculator.pow(10,2));
    }

}
